%define version 2.2.0
%define release %mkrel 3

%define req_gimp_version 2.2

%define pkgname gimp-gap

Summary:	GAP (GIMP Animation Package), a video plug-in for GIMP
Name:		gimp2-gap
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://gimp.org
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gimp.org/pub/gimp/plug-ins/v2.2/gap/%pkgname-%{version}.tar.bz2
Patch: gimp-gap-2.2.0-ffmpeg-pic.patch.bz2

BuildRequires:	intltool >= 0.17
BuildRequires:	glib-gettextize
BuildRequires:	libgimp-devel >= %{req_gimp_version}
BuildRequires:	libjpeg-devel

Requires:	gimp >= %{req_gimp_version}
Requires:	wavplay

%description
The GIMP has some plug-ins supporting animation features based on
layers, with each layer of the image being considered as one frame of
the animation.

GAP is a collection of plug-ins that extend the GIMP's animation
capabilities by supporting the creation of more complex animations. It
was part of the GIMP from 1.1.4 to the 1.2 series, but was split
afterwards.

Additional Informations about the GAP can be found in the GimpUserManual
Chapter Advanced Animation.


%prep
%setup -q -n %pkgname-%{version}
cd extern_libs/
tar xzf ffmpeg.tar.gz
cd ffmpeg/
%patch -p1 -b .pic

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall libexecdir=%buildroot%_libexecdir/gimp/2.0/plug-ins scriptdatadir=%buildroot%_datadir/gimp/2.0/scripts
#gw the makefile is broken, move the file by hand
mkdir -p %buildroot%_libexecdir/gimp-gap-2.0
mv %buildroot%_libexecdir/gimp/2.0/plug-ins/audioconvert_to_wav.sh %buildroot%_libexecdir/gimp-gap-2.0
rm -f %buildroot%_datadir/gimp/2.0/scripts/*.a
%define gettext_package gimp20-gap
%{find_lang} %{gettext_package}

%clean
rm -rf %{buildroot}

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog* README
%{_libdir}/gimp/2.0/plug-ins/*
%{_libdir}/gimp-gap-2.0
%{_datadir}/gimp/2.0/scripts/*

%changelog
* Tue May 30 2006 Gtz Waschk <waschk@mandriva.org> 2.2.0-3mdv2007.0
- fix build on x86_64

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 2.2.0-2mdv2007.0
- fix buildrequires

* Sun May 28 2006 Gtz Waschk <waschk@mandriva.org> 2.2.0-1mdv2007.0
- new version

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 2.0.2-3mdk
- Rebuild

* Fri May 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-2mdk
- improve description

* Fri May 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- fix URLs
- New release 2.0.2

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- new version

* Fri Mar 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0-0.1pre1_mdk
- new release

* Thu Mar 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.25-3mdk
- rebuild for gimp2

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.25-2mdk
- rebuild

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.25-1mdk
- fix installation
- drop patch
- new version

* Wed Oct 08 2003 Abel Cheung <deaddog@deaddog.org> 1.3.20-0.20030930.1mdk
- New snapshot 2003-09-30
- Patch0: Move AM_GLIB_GNU_GETTEXT before definition of CPPFLAGS, otherwise
  gettext checks will be broken for some reason

* Wed Sep 10 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.16-0.20030730.3mdk
- fix required version of gimp
- rebuild

* Tue Aug 19 2003 Götz Waschk <waschk@linux-mandrake.com> 1.3.16-0.20030730.2mdk
- new gimp

* Tue Aug 05 2003 Abel Cheung <maddog@linux.org.hk> 1.3.16-0.20030730.1mdk
- First Mandrake spec
- So called mpeg support does nothing at all, so don't need it
